%define	desktop_vendor	planetccrma

Summary: FFT based sound processor
Name: mammut
Version: 0.60
Release: 1%{?dist}
License: Public Domain?
Group: Applications/Multimedia
URL: http://www.notam02.no/arkiv/doc/mammut/
Source0: http://www.notam02.no/arkiv/src/mammut-%{version}.tar.gz
Source1: mammut.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: hicolor-icon-theme
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: juce desktop-file-utils freetype-devel
BuildRequires: jack-audio-connection-kit-devel alsa-lib-devel libvorbis-devel
BuildRequires: libsndfile-devel libsamplerate-devel ImageMagick
%if "%{fedora}" >= "5"
BuildRequires: xorg-x11-proto-devel mesa-libGLU-devel libXinerama-devel
%else
BuildRequires: xorg-x11-devel xorg-x11-Mesa-libGLU
%endif

%description
Mammut will FFT your sound in one single gigantic analysis (no windows).
These spectral data, where the development in time is incorporated in
mysterious ways, may then be transformed by different algorithms prior to
resynthesis. An interesting aspect of Mammut is its completely
non-intuitive sound transformation approach.

%prep
%setup -q

%build
cd src
%{__make} INSTALLPATH=%{_prefix} JUCE=%{_datadir}/juce -f Makefile.linux

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_bindir}
%{__install} -m 0755 src/mammut %{buildroot}%{_bindir}/

# resize the icon to a standard size
convert -resize 128x128 icons/icon.png mammut.png
# install icon to the proper freedesktop location
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/128x128/apps
%{__cp} mammut.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/

# desktop file categories
BASE="Application AudioVideo Audio"
XTRA="X-Jack X-Digital_Processing"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc INSTALL NEW doc/mammuthelp.html
%{_bindir}/mammut
%{_datadir}/icons/hicolor/128x128/apps/*
%{_datadir}/applications/*mammut.desktop

%changelog
* Tue Oct  9 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.60-1
- updated to 0.60, adjusted desktop categories

* Tue Feb 20 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.57-1
- updated to 0.57, changed build requirements, redid the build
  process

* Wed Jun  1 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.18-1
- updated to 0.18

* Sun May  9 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added proper buildrequires

* Fri Dec 12 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.16-1
- updated to 0.16

* Mon Nov 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.15-2
- spec file tweaks, added release tags

* Tue Jun 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.15-2
- another hack without the whole of python, much better, see the
  pygtk1 package

* Mon Jun 16 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.15-1
- rebuilt for 8.0 and 9 using the separate python-pygtk1 package

* Fri Jan 24 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.15-1
- Initial build.
- use the supplied binary sndlib for now till I get a proper sndlib
  package done.
